Simulate fiat deposit
curl --request POST \
--url https://api.stabyl.com/v1/simulate/fiat/deposits \
--header 'Content-Type: application/json' \
--data '
{
"amount": "50000.00",
"currency": "NGN",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "sim_fiat_dep_001"
}
'import requests
url = "https://api.stabyl.com/v1/simulate/fiat/deposits"
payload = {
"amount": "50000.00",
"currency": "NGN",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotency_key": "sim_fiat_dep_001"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '50000.00',
currency: 'NGN',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotency_key: 'sim_fiat_dep_001'
})
};
fetch('https://api.stabyl.com/v1/simulate/fiat/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "50000.00",
"reference": "SIM-FIAT-DEP-001",
"status": "confirmed",
"transaction_id": "0197f1f0-0000-7000-8000-000000000004"
},
"status": "success"
}{
"error": {
"code": "VALIDATION_FAILED",
"message": "invalid request parameters"
},
"status": "error"
}{
"error": {
"code": "FORBIDDEN",
"message": "request is not allowed"
},
"status": "error"
}{
"error": {
"code": "NOT_FOUND",
"message": "resource not found"
},
"status": "error"
}Simulation
Simulate fiat deposit
Creates a non-production fiat deposit record and credits the test account for integration testing. This endpoint is disabled in production and cannot move real funds.
POST
/
simulate
/
fiat
/
deposits
Simulate fiat deposit
Body
application/json
Non-production fiat deposit event to create for integration testing.
Was this page helpful?
⌘I